Subject: bug#60639: Improvement to the Wording of GNU Emacs Lisp Reference Manual

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Sep 2023 14:52:02 +0300

> Cc: "[email-masked]" <[email-masked]>
> From: Stefan Kangas <[email-masked]>
> Date: Tue, 5 Sep 2023 18:46:08 -0700
> 
> reopen 60639
> thanks
> 
> Drew Adams <[email-masked]> writes:
> 
> > A simple sentence such as this in Wikipedia can
> > make things clear:
> >
> >  "The symbol # is known variously in
> >   English-speaking regions as the number sign,[1]
> >   hash,[2] or pound sign.[3]"
> >
> > https://en.wikipedia.org/wiki/Number_sign
> 
> Fair enough.
> 
> The patch actually just adds it as an alternative, so in that sense it's
> already okay.  If there are no objections, I think we could install this
> patch, then.  Let's see if there are any other opinions first though.

I don't mind installing it, but IMO its wording needs some
improvement.  Here's what I suggest to install:

     In most cases, an object's printed representation is also a read
   syntax for the object.  However, some types have no read syntax, since
   it does not make sense to enter objects of these types as constants in
   a Lisp program.  These objects are printed in @dfn{hash notation},
   which consists of the characters @samp{#<}, a descriptive string
   (typically the type name followed by the name of the object), and a
   closing @samp{>}.  (This is called ``hash notation'' because it
   begins with the @samp{#} character, known as ``hash'' or ``number
   sign'').  For example:

The main point here is that "hash notation" is NOT what's known as
"number sign"; rather, the # character itself is known as "number
sign".